KinoSearch1::Index::Term(3pm)

NAME
KinoSearch1::Index::Term - string of text associated with a field

SYNOPSIS
    my $foo_term   = KinoSearch1::Index::Term->new( 'content', 'foo' );
    my $term_query = KinoSearch1::Search::TermQuery->new( term => $foo_term );

DESCRIPTION
The Term is the unit of search. It has two characteristics: a field name, and term text.

METHODS

  new
    my $term = KinoSearch1::Index::Term->new( FIELD_NAME, TERM_TEXT );

Constructor.

  set_text get_text set_field get_field
Getters and setters.

  to_string
Returns a string representation of the Term object.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.